Bug 1686977 (PYTHON38) - Python 3.8
Summary: Python 3.8
Keywords:
Status: ON_QA
Alias: PYTHON38
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On: 1703776 1703846 1705544 1705705 1705946 1705955 1706066 1706213 1706223 1715598 1716468 1716472 1716488 1716500 1716505 1716529 1716538 1716540 1716546 1717013 1718283 1718347 1721671 1723340 1728072 1729465 1729908 1734327 1735972 1736053 1736897 1737270 1737361 1739895 1743898 1746502 1746849 1746850 1746853 1747649 1747650 1747651 1748018 1754151 1760260 1761156 1544163 1605741 1606315 1606827 1672833 1674817 1675108 1675274 1675704 1675749 1675764 1675779 1675794 1675798 1675808 1676140 1676191 1677888 1687377 1687384 1687942 1687959 1688945 1690793 1690902 1691064 1691086 1692172 1692367 1693029 1693485 1693486 1693603 1693617 1693641 1693696 1693818 1693822 1694177 1694192 1694205 1695727 1695802 1695953 1696302 1696376 1697439 1697503 1697519 1698157 1698160 1698191 1698393 1698432 1698477 1698514 1699123 1701226 1702082 1702273 1704219 1704315 1704741 1704807 1704924 1705219 1705222 1705227 1705262 1705263 1705296 1705300 1705301 1705308 1705391 1705420 1705427 1705441 1705442 1705450 1705452 1705459 1705460 1705462 1705463 1705467 1705475 1705480 1705482 1705530 1705558 1705687 1705700 1705703 1705777 1705929 1705932 1705940 1705943 1705954 1705962 1706003 1706027 1706032 1706039 1706040 1706042 1706065 1706070 1706085 1706106 1706148 1706153 1706159 1706163 1706166 1706173 1706194 1706201 1706207 1706212 1706233 1706235 1706238 1706285 1706332 1706351 1706355 1706875 1707017 1707040 1707051 1707243 1707244 1707367 1707981 1707998 1708004 1708118 1708135 1708136 1708353 1708643 1709063 1709746 1709774 1709787 1709795 1709800 1709817 1710131 1710224 1710238 1710335 1710754 1710767 1711213 1711229 1711638 1711962 1711977 1712005 1712012 1712016 1712057 1712480 1712531 1712544 1712602 1712818 1713107 1713281 1713644 1714177 1714188 1714214 1714365 1714367 1714806 1715016 1715027 1715038 1715215 1715243 1715262 1715549 1715589 1715652 1715665 1715756 1716339 1716342 1716389 1716451 1716460 1716461 1716462 1716463 1716464 1716465 1716466 1716467 1716469 1716470 1716471 1716473 1716474 1716475 1716476 1716477 1716478 1716479 1716480 1716481 1716482 1716483 1716484 1716485 1716486 1716487 1716489 1716490 1716491 1716492 1716493 1716494 1716496 1716497 1716498 1716501 1716503 1716504 1716506 1716507 1716508 1716509 1716510 1716511 1716512 1716513 1716514 1716515 1716516 1716517 1716518 1716519 1716520 1716521 1716522 1716523 1716526 1716527 1716528 1716530 1716531 1716532 1716533 1716534 1716535 1716536 1716537 1716539 1716541 1716542 1716543 1716544 1716545 1717653 1717654 1717655 1717656 1717657 1717658 1717659 1717660 1717661 1717662 1717663 1717664 1717665 1717670 1718063 1718113 1718208 1718246 1718278 1718285 1718288 1718290 1718294 1718295 1718300 1718302 1718318 1718319 1718323 1718331 1718332 1718334 1718336 1718342 1718346 1718349 1718350 1718356 1718363 1718366 1718367 1718369 1718371 1718374 1718390 1718429 1718837 1719145 1719312 1721083 1721483 1721628 1721642 1721645 1721930 1721931 1721934 1721936 1721938 1723199 1723335 1723339 1724142 1724145 1724146 1724244 1725361 1725787 1725788 1725789 1725790 1725791 1727580 1727796 1728055 1728057 1728058 1728059 1728060 1728061 1728063 1728064 1728065 1728066 1728067 1728068 1728071 1728073 1728074 1728075 1728266 1728273 1728275 1729037 1730318 1730353 1732702 1733681 1734137 1734426 1734773 1734775 1734777 1734789 1734855 1734953 1735051 1735201 1735337 1735674 1736460 1736467 1736471 1736492 1736496 1736500 1736503 1736511 1736513 1736516 1736518 1736520 1736521 1736536 1736543 1737011 1737014 1737016 1737018 1737230 1737231 1737271 1737272 1737273 1737356 1737359 1737360 1737426 1741659 1742146 1742880 1743883 1743884 1743885 1743886 1743888 1743889 1743890 1743892 1743893 1743894 1743896 1743897 1743899 1743902 1743903 1744195 1746839 1746841 1746843 1746845 1746847 1746848 1746852 1746856 1747646 1747647 1747652 1747653 1750695 1753934 1758446 1758472 1758474
Blocks: 1377240
TreeView+ depends on / blocked
 
Reported: 2019-03-08 19:19 UTC by Ben Cotton
Modified: 2019-10-13 00:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Ben Cotton 2019-03-08 19:19:47 UTC
This is a tracking bug for Change: Python 3.8
For more details, see: https://fedoraproject.org/wiki/Changes/Python3.8

Update the Python stack in Fedora from Python 3.7 to Python 3.8.

Comment 1 Miro Hrončok 2019-03-08 19:26:00 UTC
Status update.

1) python38 3.8.0~a2 is available in rawhide, f30 and f29
2) the copr bootstrap was recently blocked by failing compose, later by a copr bug, will start over next week

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-06-18 07:15:47 UTC
See https://copr.fedorainfracloud.org/coprs/g/python/python3.8/ for instructions how to enable python3.8 copr for mock.

Comment 3 Ben Cotton 2019-08-13 17:09:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Miro Hrončok 2019-08-13 17:19:57 UTC
Python 3.8 change was deferred to Fedora 32, changing back to rawhide.

Comment 5 Miro Hrončok 2019-08-14 22:28:33 UTC
Python 3.8 update was pushed to git, builds started in a side tag.

To build in the side tag do:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Comment 6 Miro Hrončok 2019-08-27 10:09:07 UTC
There are less than 200 packages that failed to rebuild with Python 3.8. Let's treat them as bugs.


Note You need to log in before you can comment on or make changes to this bug.